using Sepehr.ApiGateway.Partners.Contracts.Generic.CurrentBalance.V1.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Generic.CurrentBalance.V1.ResponseModel;
using SepehrFlightApiSampleClient.BuiltinTypeExtensions;

namespace SepehrFlightApiSampleClient.Generic.WebApi
{
    public class CurrentBalanaceApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Generic/CurrentBalance/V1",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
